gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.MountOperationHandlerProxy_

Contents

- Exported types
- Methods

Description

The `MountOperationHandlerProxy_` structure contains only private data and should only be accessed using the provided API.

Synopsis

- newtype MountOperationHandlerProxy_ = MountOperationHandlerProxy_ (ManagedPtr MountOperationHandlerProxy_)
- newZeroMountOperationHandlerProxy_ :: MonadIO m => m MountOperationHandlerProxy_

# Exported types

newtype MountOperationHandlerProxy_ Source #

Memory-managed wrapper type.

Constructors

MountOperationHandlerProxy_ (ManagedPtr MountOperationHandlerProxy_) |

#### Instances

Instances details

Eq MountOperationHandlerProxy_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxy_ Methods (==) :: MountOperationHandlerProxy_ -> MountOperationHandlerProxy_ -> Bool Source # (/=) :: MountOperationHandlerProxy_ -> MountOperationHandlerProxy_ -> Bool Source #
BoxedPtr MountOperationHandlerProxy_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxy_ Methods boxedPtrCopy :: MountOperationHandlerProxy_ -> IO MountOperationHandlerProxy_ Source # boxedPtrFree :: MountOperationHandlerProxy_ -> IO () Source #
CallocPtr MountOperationHandlerProxy_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxy_ Methods boxedPtrCalloc :: IO (Ptr MountOperationHandlerProxy_) Source #
ManagedPtrNewtype MountOperationHandlerProxy_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxy_ Methods toManagedPtr :: MountOperationHandlerProxy_ -> ManagedPtr MountOperationHandlerProxy_ Source #
tag ~ 'AttrSet => Constructible MountOperationHandlerProxy_ tag Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerProxy_ Methods new :: MonadIO m => (ManagedPtr MountOperationHandlerProxy_ -> MountOperationHandlerProxy_) -> [AttrOp MountOperationHandlerProxy_ tag] -> m MountOperationHandlerProxy_ Source #

newZeroMountOperationHandlerProxy_ :: MonadIO m => m MountOperationHandlerProxy_ Source #

Construct a `MountOperationHandlerProxy_` struct initialized to zero.

# Methods